package il.ac.tau.cs.sw1.social_network;

public class SocialNetworkTest {

	/**
	 * Creates 3 users: Uma, Bill and Sean. Then Uma friends Bill and Sean.
	 * Finally, Sean becomes a close friend of Uma. After each step, the program
	 * prints the state of each user.
	 */
	public static void main(String[] args) {
		SocialNetworkUser uma = new SocialNetworkUser("Uma");
		SocialNetworkUser bill = new SocialNetworkUser("Bill");
		SocialNetworkUser sean = new SocialNetworkUser("Sean");
		SocialNetworkUser[] users = { uma, bill, sean };
		System.out.println(">>>>>>> Start");
		FriendsList umasList = uma.getFriendsList();
		FriendsList seansList = sean.getFriendsList();
		printAll(users);

		umasList.friend(bill);
		umasList.friend(sean);

		System.out.println("\n>>>>>>> After adding friends");
		printAll(users);

		seansList.upgradeToCloseFriend(uma);

		System.out.println("\n>>>>>>> After upgrade");
		printAll(users);
	}

	static void printAll(SocialNetworkUser[] users) {
		for (SocialNetworkUser user : users) {
			System.out.println(user.getName() + ":");
			user.getFriendsList().printFriends();
			System.out.println();
		}
	}

}
